<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		
		let Animal=function(){
			//propiedad no estática
			this.peso=0;
			//propiedad estática
			Animal.pelo="si";
			//método no estático
			this.comer=function(){
				console.log("ÑAM");
			};

			//método estático
			Animal.estatico=function(){
				console.log("esto es un elemento de la clase");
			};
		};

		let leon=new Animal();
		/*Produce error ya que es un método de la clase y no del objeto leon.estatico();*/

		Animal.estatico();
		console.log(Animal.pelo);

		/*Esto está vacío porque es un elemento de la clase y no del objeto console.log(leon.pelo)*/




	</script>
</head>
<body>
	
</body>
</html>